summaryrefslogtreecommitdiffstats
path: root/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild')
-rwxr-xr-xdeps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild22
1 files changed, 11 insertions, 11 deletions
diff --git a/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
index 72eaec5..75f65e9 100755
--- a/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
+++ b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2015, 2018 Eric Hameleers, Eindhoven, NL
-# Copyright 2015,2018 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2015, 2018, 2020 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -25,10 +25,11 @@
PRGNAM=noto-cjk-font-ttf
-SRCNAM=NotoSansCJK
-VERSION=${VERSION:-"1.004"}
+SANS=NotoSansCJK
+SERIF=NotoSerifCJK-Regular
+VERSION=${VERSION:-"2.001"}
ARCH=noarch
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -41,13 +42,12 @@ FONTDIR="/usr/share/fonts/TTF"
mkdir -p $PKG$FONTDIR
# Unzip the ZIP file with the Super OTC font:
-unzip $CWD/${SRCNAM}.ttc.zip -d $PKG$FONTDIR || exit 1
+unzip $CWD/${SANS}.ttc.zip -d $PKG$FONTDIR || exit 1
+rm -rf $PKG$FONTDIR/__MACOSX || exit 1
+# Copy the Serif font:
+install -m0644 $CWD/${SERIF}.ttc $PKG$FONTDIR/${SERIF}.ttc || exit 1
chown -R root:root $PKG$FONTDIR
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+chmod -R u+w,go+r-w,a+rX-st $PKG$FONTDIR
# Add a font configuration file (taken from Arch repository):
install -Dm644 $CWD/70-noto-cjk.conf -t $PKG/etc/fonts/conf.avail